API calls evolution - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service responds with the number of API calls logged in a selected period.

API calls count

  • All API calls shown in the API calls evolution and API calls details pages count towards customers' billable quota (for customers with a billing plan based on API calls).
  • The Fluid Topics analytics do not log API calls blocked by the Fluid Topics web application firewall.
  • API calls leading to a 4xx or 5xx client error are dismissed.
  • API calls from public crawlers and generic AI bots are dismissed.

It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.

Method Endpoint
POST
/analytics/api/v2/traffic/api-calls

Request example

The following example shows a JSON request body for this web service:

{
  "startDate": "2023-04-01",
  "endDate": "2023-10-01",
  "groupByPeriod": "month",
  "callingApps": [
    "undefined"
  ]
}
Field Type Required? Description
startDate String Yes The inclusive start date of the period. Its format can be YYYY-MM-DD, YYYY-MM-DDTHH:MM or YYYY-MM-DDTHH:MM:SS. For more information about date and time formats, see Timestamps.
The value must be within the analytics data retention period.
endDate String Yes The exclusive end date of the period. Must be later than the startDate. Its format can be YYYY-MM-DD, YYYY-MM-DDTHH:MM or YYYY-MM-DDTHH:MM:SS. For more information about date and time formats, see Timestamps.
The value must be within the analytics data retention period.
groupByPeriod String Yes The period by which to group the API calls. Valid values are month, week and day.
callingApps Array Yes Accepts one or more calling apps.

Response body

The following example shows a JSON response body for this web service:

{
  "startDate": "2023-04-01",
  "endDate": "2023-10-01",
  "results": [
    {
      "name": "undefined",
      "periods": [
        {
          "periodStartDate": "2023-04-01",
          "periodEndDate": "2023-05-01",
          "callCount": 546762
        },
        {
          "periodStartDate": "2023-05-01",
          "periodEndDate": "2023-06-01",
          "callCount": 378475
        },
        {
          "periodStartDate": "2023-06-01",
          "periodEndDate": "2023-07-01",
          "callCount": 402705
        },
        {
          "periodStartDate": "2023-07-01",
          "periodEndDate": "2023-08-01",
          "callCount": 319967
        },
        {
          "periodStartDate": "2023-08-01",
          "periodEndDate": "2023-09-01",
          "callCount": 538165
        },
        {
          "periodStartDate": "2023-09-01",
          "periodEndDate": "2023-10-01",
          "callCount": 253964
        }
      ]
    }
  ]
}
Field Type Description
startDate String The inclusive start date of the total period as defined in the request body.
endDate String The exclusive end date of the total period as defined in the request body.
results Array An array containing the results.
periods Array An array containing the various periods.
periodStartDate String The inclusive start date of the period by which results are grouped.
periodEndDate String The exclusive end date of the period by which results are grouped.
callCount Number The number of calls sent by the calling apps during the period by which results are grouped.
Return code Description
200 OK Returns results